#!/bin/bash


echo "Before installing bmStats, verify  libdate-calc-perl, postfix-pcre, bm-soap, libxml-simple-perl, php-soap are installed";

printf "1srt Step : copying all files from src :"
cp -fr src/* /
echo "Done" 

echo ""
echo "2nd Step : configuring bmStats :"



pythonVersion=$(python -c 'import platform ; print platform.python_version()')

if [ "$pythonVersion" \> '2.6' -o "$pythonVersion" = "2.6" ] ; then
    OS=$(python -c 'import platform ; print platform.linux_distribution()[0]')
else
	OS=$(python -c 'import platform ; print platform.dist()[0]')
fi

os=$(echo $OS|tr '[:upper:]' '[:lower:]')


if [ "$os" = "debian" -o "$os" = "ubuntu" ] ; then
	echo "install from Debian Like"
    /bin/bash /usr/share/bm-stats/scripts/SHELL/installDebian.sh
    
    echo ""
	echo ""

	echo " if you want to set a 1rst range of values, so, as root, launch these :"
	echo "chown -R root.www-data /var/lib/bm-stats && chmod -R 775 /var/lib/bm-stats " 
        

fi

if [ "$os" = "redhat" -o "$os" = "centos" -o "$os" = "fedora" ] ; then
    echo "install from RHEL Like"
	/bin/bash /usr/share/bm-stats/scripts/SHELL/installRHEL.sh

	echo ""
	echo ""

	echo " if you want to set a 1rst range of values, so, as root, launch these :"
	echo "chown -R root.apache /var/lib/bm-stats && chmod -R 775 /var/lib/bm-stats "
	
fi




echo "/usr/share/bm-stats/scripts/PERL/bmMailStatLog.pl > /dev/null"
echo "php5 /usr/share/bm-stats/scripts/PHP/do_graph/do_graph.php > /dev/null"
echo "php5 /usr/share/bm-stats/scripts/PHP/do_graph/do_graph_error.php > /dev/null"
echo "php5 /usr/share/bm-stats/scripts/PHP/do_graph/do_graph_attachment.php > /dev/null"
echo "php5 /usr/share/bm-stats/scripts/PHP/do_graph/do_graph_nbRecip.php > /dev/null"

echo ""
echo ""
echo "But don't forget real stats will start the next night, "
echo " and results seen in 1 day more, after a whole 24h mail.log (starting at 0:00:00 and ending at 23:59:59)"  


echo ""
echo ""


echo "That's all. You can access to bmStats portal at this URL : http://"$(hostname -f)":10290"
echo "with an admin account " 


